API reference › Preferred lists › Preferred list

Retrieve paginated preference list with optional filters

GET /v1/settings/portal/preference-list

Scope
settings_preferred_users:read
Roles
client, consumer, service-provider

Fetch a paginated list of preference list entries. Allows filtering, searching, and sorting.

Parameters

Query parameters

NameTypeDescription
searchstring
columnsstring
sortBystring
sortOrderstring

One of: asc, desc.

perPageinteger
clientIdstring
consumerIdstring
serviceProviderIdstring
startDatestring (date)
endDatestring (date)

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/settings/portal/preference-list" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Success

Success

JSON
{
  "success": true,
  "data": [
    {
      "id": 1,
      "preferredUser": {
        "id": "CLT-XXISS8",
        "label": "Client2"
      },
      "preferredUserRoleName": "admin",
      "preferredRole": {
        "id": 2,
        "label": "Client",
        "slug": "client"
      },
      "preferredUserImage": "https://cdn.example.com/image.png",
      "preferredUserOnlineStatus": "online",
      "notes": "Added by the scheduler.",
      "preferredDate": "2026-01-15",
      "isBehalfOfOrg": true,
      "isBehalfOfRole": "string",
      "providerServices": [
        null
      ]
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "perPage": 10,
    "total": 1
  }
}
Response fields (23)

3 top-level fields; 2 hold nested fields, listed below.

FieldTypeDescription
successboolean

Example true.

dataarray of object (16 nested)
metaobject (4 nested)

Nested fields

data 16 fields
FieldTypeDescription
data[].idinteger

Example 1.

data[].preferredUserobject
data[].preferredUser.idstring

Example CLT-XXISS8.

data[].preferredUser.labelstring

Example Client2.

data[].preferredUserRoleNamestring or null

Example admin.

data[].preferredRoleobject
data[].preferredRole.idinteger

Example 2.

data[].preferredRole.labelstring

Example Client.

data[].preferredRole.slugstring

Example client.

data[].preferredUserImagestring or null

Example https://cdn.example.com/image.png.

data[].preferredUserOnlineStatusstring

Example online.

data[].notesstring or null

Example Added by the scheduler..

data[].preferredDatestring

Example 2026-01-15.

data[].isBehalfOfOrgboolean

Example true.

data[].isBehalfOfRolestring or null
data[].providerServicesarray of any or null
meta 4 fields
FieldTypeDescription
meta.currentPageinteger

Example 1.

meta.lastPageinteger

Example 1.

meta.perPageinteger

Example 10.

meta.totalinteger

Example 1.

400 Bad request

Bad Request

JSON
{
  "success": false,
  "message": "Failed to retrieve.",
  "errors": {
    "search": [
      "Invalid search parameter"
    ]
  }
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Failed to retrieve..

errorsobject
401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'settings_preferred_users:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'settings_preferred_users:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Server Error

JSON
{
  "success": false,
  "message": "Something went wrong!",
  "errors": "Unexpected error occurred"
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Something went wrong!.

errorsstring or null

Null in production. The exception message only when the application runs with debug on.

Example Unexpected error occurred.